## analizo 1.25.4

=== Makefile ===
all: foo

=== t/samples/hello_world/c/Makefile ===
hello_world: main.o hello_world.o

clean:
	rm -f *.o hello_world

=== debian/changelog ===
analizo (1.25.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only re-upload.
  * Use HTTPS for upstream URLs.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Oct 2022 15:08:03 +0200

analizo (1.25.4-1) unstable; urgency=medium

  * Initial release. (Closes: #952487)

 -- Joenio Marques da Costa <joenio@joenio.me>  Tue, 23 Aug 2022 22:48:02 +0200

=== debian/control ===
Source: analizo
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Joenio Marques da Costa <joenio@joenio.me>
Section: devel
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: doxygen-doxyparse <!nocheck>,
                     libapp-cmd-perl <!nocheck>,
                     libarchive-extract-perl <!nocheck>,
                     libchi-perl <!nocheck>,
                     libclass-accessor-perl <!nocheck>,
                     libclass-inspector-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdigest-sha-perl <!nocheck>,
                     libenv-path-perl <!nocheck>,
                     libfile-copy-recursive-perl <!nocheck>,
                     libfile-homedir-perl <!nocheck>,
                     libfile-libmagic-perl <!nocheck>,
                     libfile-share-perl <!nocheck>,
                     libfile-sharedir-install-perl,
                     libfile-sharedir-perl,
                     libfile-slurp-perl <!nocheck>,
                     libfindbin-libs-perl <!nocheck>,
                     libgit-wrapper-perl <!nocheck>,
                     libgraph-perl <!nocheck>,
                     libgraph-readwrite-perl <!nocheck>,
                     libjson-perl <!nocheck>,
                     liblist-compare-perl <!nocheck>,
                     liblist-moreutils-perl <!nocheck>,
                     libstatistics-descriptive-perl <!nocheck>,
                     libterm-progressbar-perl <!nocheck>,
                     libterm-ui-perl <!nocheck>,
                     libtest-bdd-cucumber-perl (>= 0.61) <!nocheck>,
                     libtest-class-perl <!nocheck>,
                     libtest-exception-perl <!nocheck>,
                     libtest-mockmodule-perl <!nocheck>,
                     libtest-mockobject-perl <!nocheck>,
                     libyaml-libyaml-perl <!nocheck>,
                     libzmq-ffi-perl <!nocheck>,
                     perl
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/analizo
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/analizo.git
Homepage: https://www.analizo.org
Rules-Requires-Root: no

Package: analizo
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         doxygen-doxyparse,
         libapp-cmd-perl,
         libchi-perl,
         libclass-accessor-perl,
         libclass-inspector-perl,
         libdbd-sqlite3-perl,
         libdbi-perl,
         libdigest-sha-perl,
         libenv-path-perl,
         libfile-copy-recursive-perl,
         libfile-homedir-perl,
         libfindbin-libs-perl,
         libgraph-perl,
         libgraph-readwrite-perl,
         libjson-perl,
         liblist-compare-perl,
         libstatistics-descriptive-perl,
         libterm-progressbar-perl,
         libyaml-libyaml-perl,
         libzmq-ffi-perl
Recommends: graphviz,
            man-db
Description: multi-language source code analysis toolkit
 Analizo is a suite of source code analysis tools, aimed at being
 language-independent and extensible, analizo parses source code in multiple
 languages and report useful information about it, such as module dependency,
 source code metrics and more.
 .
 Analizo uses doxyparse to parse the source code, and is currently tested and
 expected to work well with C, C++, Java and C# source code.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	$(RM) -rv $(TMP)/usr/share/perl5/Test
	$(RM) -v  $(TMP)/usr/share/perl5/profile.pl

=== debian/tests/control ===
Tests: smoke-tests
Depends: @, shunit2

=== debian/watch ===
version=4
https://metacpan.org/release/Analizo   .*/Analizo-v?@ANY_VERSION@@ARCHIVE_EXT@$

## analizo 1.25.5

=== debian/changelog ===
analizo (1.25.5-3) unstable; urgency=medium

  * Team upload.
  * Make test dependency on doxygen-doxyparse versioned. Cf. #1121793.
    Thanks to Sebastiaan Couwenberg for the hint.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Dec 2025 17:12:20 +0100

analizo (1.25.5-2) unstable; urgency=medium

  * Team upload.
  * Update debian/patches/hotfix_for_acc_metric_test.
    Thanks to Paolo Greppi for the bug report and Sebastiaan Couwenberg for
    the fix. (Closes: #1121793)
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Dec 2025 18:31:13 +0100

analizo (1.25.5-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.25.5.
  * Update years of upstream copyright.
  * Drop unneeded version constraints from (build) dependencies.
  * Refresh debian/patches/drop_local_lib.
  * Drop no-shell-for-system.patch, merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Nov 2024 03:42:40 +0100

analizo (1.25.4-3) unstable; urgency=medium

  * Team upload.
  * doxygen-1.9.8.patch: new: update test item.
    A discrepancy tolerated in initial test results went resolved in
    recent doxygen versions, so this patch updates the new expected test
    result. (Closes: #1051534)
  * Declare compliance with Debian Policy 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Tue, 21 May 2024 21:15:58 +0200

=== debian/control ===
Source: analizo
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Joenio Marques da Costa <joenio@joenio.me>,
Section: devel
Testsuite: autopkgtest-pkg-perl
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 doxygen-doxyparse (>= 1.15.0) <!nocheck>,
 libapp-cmd-perl <!nocheck>,
 libarchive-extract-perl <!nocheck>,
 libchi-perl <!nocheck>,
 libclass-accessor-perl <!nocheck>,
 libclass-inspector-perl <!nocheck>,
 libdbd-sqlite3-perl <!nocheck>,
 libdbi-perl <!nocheck>,
 libdigest-sha-perl <!nocheck>,
 libenv-path-perl <!nocheck>,
 libfile-copy-recursive-perl <!nocheck>,
 libfile-homedir-perl <!nocheck>,
 libfile-libmagic-perl <!nocheck>,
 libfile-share-perl <!nocheck>,
 libfile-sharedir-install-perl,
 libfile-sharedir-perl,
 libfile-slurp-perl <!nocheck>,
 libfindbin-libs-perl <!nocheck>,
 libgit-wrapper-perl <!nocheck>,
 libgraph-perl <!nocheck>,
 libgraph-readwrite-perl <!nocheck>,
 libjson-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 liblist-moreutils-perl <!nocheck>,
 libstatistics-descriptive-perl <!nocheck>,
 libterm-progressbar-perl <!nocheck>,
 libterm-ui-perl <!nocheck>,
 libtest-bdd-cucumber-perl <!nocheck>,
 libtest-class-perl <!nocheck>,
 libtest-exception-perl <!nocheck>,
 libtest-mockmodule-perl <!nocheck>,
 libtest-mockobject-perl <!nocheck>,
 libyaml-libyaml-perl <!nocheck>,
 libzmq-ffi-perl <!nocheck>,
 perl,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/analizo
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/analizo.git
Homepage: https://www.analizo.org

Package: analizo
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 doxygen-doxyparse,
 libapp-cmd-perl,
 libchi-perl,
 libclass-accessor-perl,
 libclass-inspector-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libdigest-sha-perl,
 libenv-path-perl,
 libfile-copy-recursive-perl,
 libfile-homedir-perl,
 libfindbin-libs-perl,
 libgraph-perl,
 libgraph-readwrite-perl,
 libjson-perl,
 liblist-compare-perl,
 libstatistics-descriptive-perl,
 libterm-progressbar-perl,
 libyaml-libyaml-perl,
 libzmq-ffi-perl,
Recommends:
 graphviz,
 man-db,
Description: multi-language source code analysis toolkit
 Analizo is a suite of source code analysis tools, aimed at being
 language-independent and extensible, analizo parses source code in multiple
 languages and report useful information about it, such as module dependency,
 source code metrics and more.
 .
 Analizo uses doxyparse to parse the source code, and is currently tested and
 expected to work well with C, C++, Java and C# source code.
